Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IMemo

All Superinterfaces:
  IAttachmentSupport, IDocument, IGroupwareItem, IItem, IMailMessage, IMessage, IMessagingItem, java.io.Serializable

All Known Subinterfaces:
  IDeliveryReport, INonDeliveryReport

public interface IMemo
extends IMailMessage, IDocument

The interface to a Domino memo. There are several mappings of groupware keys to Domino concepts which are worth noting:

Collab Key | Domino Concept
Read Receipt (`IMailMessage.READ_RECEIPT_REQUESTED`) | Return Receipt
Delivery Date (`IMailMessage.DELIVERY_DATE`) | Delivered Date
Sent Date (`IMailMessage.SENT_DATE`) | Posted Date

Field Summary
`static Key` | `BODY_STORED_FORM` Key that represents the memo body stored form.
`static ItemClass` | `CLASS` The ItemClass that represents a groupware mail message.
`static Key` | `DELIVERY_PRIORITY` Key that represents the memo delivery priority.
`static Key` | `DELIVERY_REPORT_LEVEL` Key that represents the memo delivery report level.
`static Key` | `FOLLOW_UP_DATE` Key that represents the memo follow up date.
`static Key` | `FOLLOW_UP_STATUS` Key that represents the memo follow up status.
`static Key` | `FOLLOW_UP_TEXT` Key that represents the memo follow up text.
`static int` | `KEYID_BODY_STORED_FORM` The `int` ID for the `BODY_STORED_FORM` key.
`static int` | `KEYID_DELIVERY_PRIORITY` The `int` ID for the `DELIVERY_PRIORITY` key.
`static int` | `KEYID_DELIVERY_REPORT_LEVEL` The `int` ID for the `DELIVERY_REPORT_LEVEL` key.
`static int` | `KEYID_FOLLOW_UP_DATE` The `int` ID for the `FOLLOW_UP_DATE` key.
`static int` | `KEYID_FOLLOW_UP_STATUS` The `int` ID for the `FOLLOW_UP_STATUS` key.
`static int` | `KEYID_FOLLOW_UP_TEXT` The `int` ID for the `FOLLOW_UP_TEXT` key.
`static int` | `KEYID_MEMO_DATE` The `int` ID for the `MEMO_DATE` key.
`static Key` | `MEMO_DATE` Key that represents the memo date (the first available date of delivered date, posted date or created date).

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.domino.IDocument
`DOCUMENT_TYPE, EMBEDDED_IMAGE_COUNT, KEYID_DOCUMENT_TYPE, KEYID_EMBEDDED_IMAGE_COUNT, KEYID_PARENT_DOCUMENT_ID, PARENT_DOCUMENT_ID`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`java.lang.String` | `getBodyStoredFormHtml()` Gets the body stored form as html of the memo.
`java.lang.String` | `getBodyStoredFormHtml(IEmbeddedImageListener imageListener)` Gets the body stored form as html of the memo.
`DeliveryPriority` | `getDeliveryPriority()` Gets the delivery priority of the memo.
`DeliveryReportLevel` | `getDeliveryReportLevel()` Gets the delivery report level of the memo.
`java.util.Date` | `getFollowUpDate()` Gets the follow up date of the memo.
`FollowUpStatus` | `getFollowUpStatus()` Gets the follow up status of the memo.
`java.lang.String` | `getFollowUpText()` Gets the follow up text of the memo.
`java.util.Date` | `getMemoDate()` Gets the memo date for the document.
`void` | `setDeliveryPriority(DeliveryPriority priority)` Sets the delivery priority of the memo.
`void` | `setDeliveryReportLevel(DeliveryReportLevel level)` Sets the delivery report level of the memo.
`void` | `setFollowUpDate(java.util.Date followUpDate)` Sets the follow up date of the memo.
`void` | `setFollowUpStatus(FollowUpStatus status)` Sets the follow up status of the memo.
`void` | `setFollowUpText(java.lang.String sFollowUpText)` Sets the follow up text of the memo.

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.domino.IDocument
`getDocumentType, getEmbeddedImageCount, getParentDocumentID`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_FOLLOW_UP_STATUS

    public static final int KEYID_FOLLOW_UP_STATUS

  The `int` ID for the `FOLLOW_UP_STATUS` key.

### KEYID_FOLLOW_UP_TEXT

    public static final int KEYID_FOLLOW_UP_TEXT

  The `int` ID for the `FOLLOW_UP_TEXT` key.

### KEYID_FOLLOW_UP_DATE

    public static final int KEYID_FOLLOW_UP_DATE

  The `int` ID for the `FOLLOW_UP_DATE` key.

### KEYID_BODY_STORED_FORM

    public static final int KEYID_BODY_STORED_FORM

  The `int` ID for the `BODY_STORED_FORM` key.

### KEYID_DELIVERY_REPORT_LEVEL

    public static final int KEYID_DELIVERY_REPORT_LEVEL

  The `int` ID for the `DELIVERY_REPORT_LEVEL` key.

### KEYID_DELIVERY_PRIORITY

    public static final int KEYID_DELIVERY_PRIORITY

  The `int` ID for the `DELIVERY_PRIORITY` key.

### KEYID_MEMO_DATE

    public static final int KEYID_MEMO_DATE

  The `int` ID for the `MEMO_DATE` key.

### FOLLOW_UP_STATUS

    public static final Key FOLLOW_UP_STATUS

  Key that represents the memo follow up status.
  See Also:
    `FollowUpStatus`

### FOLLOW_UP_TEXT

    public static final Key FOLLOW_UP_TEXT

  Key that represents the memo follow up text.

### FOLLOW_UP_DATE

    public static final Key FOLLOW_UP_DATE

  Key that represents the memo follow up date.

### BODY_STORED_FORM

    public static final Key BODY_STORED_FORM

  Key that represents the memo body stored form.

### DELIVERY_REPORT_LEVEL

    public static final Key DELIVERY_REPORT_LEVEL

  Key that represents the memo delivery report level.

### DELIVERY_PRIORITY

    public static final Key DELIVERY_PRIORITY

  Key that represents the memo delivery priority.

### MEMO_DATE

    public static final Key MEMO_DATE

  Key that represents the memo date (the first available date of delivered date, posted date or created date).

### CLASS

    public static final ItemClass CLASS

  The ItemClass that represents a groupware mail message.

Method Detail

### getFollowUpStatus

    public FollowUpStatus getFollowUpStatus()
                                     throws CollaborationException

  Gets the follow up status of the memo.
  Returns:
    the follow up status of the memo (not `null`)
  See Also:
    `FOLLOW_UP_STATUS`

### setFollowUpStatus

    public void setFollowUpStatus(FollowUpStatus status)
                           throws CollaborationException

  Sets the follow up status of the memo.
  Parameters:
    `status` - the follow up status (not `null`)
  See Also:
    `FOLLOW_UP_STATUS`

### getFollowUpText

    public java.lang.String getFollowUpText()
                                     throws CollaborationException

  Gets the follow up text of the memo.
  Returns:
    the follow up text of the memo (not `null`)
  See Also:
    `FOLLOW_UP_TEXT`

### setFollowUpText

    public void setFollowUpText(java.lang.String sFollowUpText)
                         throws CollaborationException

  Sets the follow up text of the memo.
  Parameters:
    `sFollowUpText` - the follow up text (not `null`)
  See Also:
    `FOLLOW_UP_TEXT`

### getFollowUpDate

    public java.util.Date getFollowUpDate()
                                   throws CollaborationException

  Gets the follow up date of the memo.
  Returns:
    the follow up date of the memo (not `null`)
  See Also:
    `FOLLOW_UP_DATE`

### setFollowUpDate

    public void setFollowUpDate(java.util.Date followUpDate)
                         throws CollaborationException

  Sets the follow up date of the memo.
  Parameters:
    `followUpDate` - the follow up date (not `null`)
  See Also:
    `FOLLOW_UP_DATE`

### getBodyStoredFormHtml

    public java.lang.String getBodyStoredFormHtml()
                                           throws CollaborationException

  Gets the body stored form as html of the memo. There is no need to escape the html body.
  Returns:
    the body as html of the memo (not `null`)
  See Also:
    `BODY_STORED_FORM`

### getBodyStoredFormHtml

    public java.lang.String getBodyStoredFormHtml(IEmbeddedImageListener imageListener)
                                           throws CollaborationException

  Gets the body stored form as html of the memo.
  Parameters:
    `imageListener` - the image listener (not `null`)
  Returns:
    the body stored form as html of the memo (not `null`)
  See Also:
    `BODY_STORED_FORM`

### setDeliveryReportLevel

    public void setDeliveryReportLevel(DeliveryReportLevel level)
                                throws CollaborationException

  Sets the delivery report level of the memo.
  Parameters:
    `level` - the delivery report level of the memo (not `null`)
  See Also:
    `DELIVERY_REPORT_LEVEL`

### getDeliveryReportLevel

    public DeliveryReportLevel getDeliveryReportLevel()
                                               throws CollaborationException

  Gets the delivery report level of the memo.
  Returns:
    the delivery report level of the memo (not `null`)
  See Also:
    `DELIVERY_REPORT_LEVEL`

### setDeliveryPriority

    public void setDeliveryPriority(DeliveryPriority priority)
                             throws CollaborationException

  Sets the delivery priority of the memo.
  Parameters:
    `priority` - the delivery priority of the memo (may not be `null`)
  See Also:
    `DELIVERY_PRIORITY`

### getDeliveryPriority

    public DeliveryPriority getDeliveryPriority()
                                         throws CollaborationException

  Gets the delivery priority of the memo.
  Returns:
    the delivery priority of the memo (not `null`)
  See Also:
    `DELIVERY_PRIORITY`

### getMemoDate

    public java.util.Date getMemoDate()
                               throws CollaborationException

  Gets the memo date for the document.
  Returns:
    the memo date for the document (not `null`)
  See Also:
    `MEMO_DATE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.